﻿/*
Theme Name: T12C
Description: Ein Child-Theme für Twenty-Twelve!
Author: _bastianqt.
Template: twentytwelve
Version: 1.9
*/

@import url("../twentytwelve/style.css");

/* ~~~ PAGINIERUNG UNTER POSTS ~~~ */

.nav-previous a, .nav-next a {
text-decoration:none;
padding:5px;
}

/* ~~~ FOOTER ~~~ */

.site-info {
text-align:center;
text-transform: uppercase;
}

.site-info a {
text-decoration:none;
}

/* ~~~ SIDEBAR FORMATIERUNGEN ~~~ */

#secondary h3 {
background: none repeat scroll 0 0 #ececec;
color: #555;
padding: 5px 10px;
text-decoration: none;
}

.archive-title, .page-title, .widget-title, .entry-content th, .comment-content th {
font-weight: normal;
}

#secondary a, #secondary a:visited {
text-decoration: none;
}

#secondary a:hover {
text-decoration: none;
}

.widget-area {
margin: 0 0 15px;
padding-bottom: 10px;
width: 29%;
}

.widget-area .widget h3 {
margin-bottom: 0;
}

.widget-area .widget {
margin-bottom: 30px;
}

.widget-area ol, .widget-area ul {
list-style-type: none;
padding: 0;
background:#fafafa;
}

.widget-area ul li {
list-style-type: none;
word-wrap: break-word;
padding-left: 10px;
border-bottom: 1px solid #ececec;
border-left: 1px solid #ececec;
border-right: 1px solid #ececec;
}

.widget-area ul li:hover {
background: rgb(241, 241, 241);
}

.widget-area .widget p, .widget-area .widget li, .widget-area .widget .textwidget {
font-size: 0.9rem;
line-height: 1.75;
}

/* Einfaches Textwidget hat Rand außer oben und Hintergrundfarbe */
.widget_text {
border-bottom: 1px solid #ececec;
border-left: 1px solid #ececec;
border-right: 1px solid #ececec;
background:#fafafa;
}

/* ~~~ NAVIGATION FORMATIERUNGEN ~~~ */

.menu-navigation-container {
background: none repeat scroll 0 0 #f7f6f6;
border-bottom: 4px solid #ddd;
color: #555;
text-decoration: none;
}

.main-navigation ul.nav-menu, .main-navigation div.nav-menu > ul {
border-bottom: 0px;
border-top: 0px;
}

.main-navigation li {
border-right: 1px solid #000000;
margin: 15px 0;
padding: 0 20px;
position: relative;
}

.main-navigation li:first-child {
margin-left:20px;
}

.main-navigation li:last-child { 
border-right: none; 
}

/* ~~~ NAVIGATION FARBEN ~~~ */

.main-navigation li a:hover {
color: white;
}

.main-navigation li a {
line-height: 1em;
font-weight: normal !important;
font-size: 1.2em;
}

.main-navigation .current-menu-item > a {
color: #636363;
}

.fa {
margin-right: 5px;
}

/* ~~~ NAVIGATION OVERFLOW ~~~ */

.main-navigation {
margin: 1rem -2.85714rem 0rem;
}

.main-navigation ul.nav-menu, .main-navigation div.nav-menu > ul {
}

/* ~~~ HEADER IMAGE ~~~ */

img.header-image {
border-radius: 0;
box-shadow: none;
margin: 0 0 0 -40px;
max-width: none;
}


/* ~~~ CONTENT FORMATIERUNGEN ~~~ */

.site-content { 
margin: 0; 
}

#content {
text-align:justify;
}

.site-content article {
margin-bottom: 2.14286rem;
}

img.round {
margin: 1rem 0.7rem 0 0;
}

/* Kein Schatten um Bilder */
.entry-content img, .comment-content img, .widget img, img.header-image, .author-avatar img, img.wp-post-image {
box-shadow: none;
border-radius: 0;
}

.entry-content blockquote {
padding:0;
}
.entry-content h1, .comment-content h1, .entry-content h2, .comment-content h2, .entry-content h3, .comment-content h3, .entry-content h4, .comment-content h4, .entry-content h5, .comment-content h5, .entry-content h6, .comment-content h6 {
margin: 0.3em 0;
}

ul.checker {
list-style:none;
margin-bottom:0.55rem;
}

.checker > li {
background: url("img/listcheckgreen.png") no-repeat scroll left center rgba(0, 0, 0, 0);
padding: 0 0 0 20px;
margin: 0px;
font-weight:bold;
}

.checker li:last-child {
margin-bottom:20px;
}

/* ~~~ BUTTON ~~~ */

.btn {
-webkit-border-radius: 3;
-moz-border-radius: 3;
border-radius: 3px;
text-shadow: 1px 1px 3px #666666;
-webkit-box-shadow: 1px 2px 8px #e0e0e0;
-moz-box-shadow: 1px 2px 8px #e0e0e0;
box-shadow: 1px 2px 8px #e0e0e0;
padding: 15px;
margin:0 0 10px 17px;
color: #ffffff;
text-decoration: none;
font-size:1.2em;
}

.btn:hover {
text-decoration: none;
text-shadow: none;
}

/* Abstand der Seite oben und unten verkleinern */
body .site {
margin-bottom: 1.5rem;
margin-top: 1rem;
font-family:"Open Sans", Helvetica, Arial, sans-serif;
}
/* Responsives Burger-Menu mehr Platz schaffen */
.main-navigation ul.nav-menu.toggled-on, .menu-toggle {
margin-bottom: 40px;
}

/* Farbe der Überschrift des Beitrags auf Beitragsseite wie Contentfarbe */
.artikel-title {
color:#444;
}

/* Beitragsbild ausrichten */
.attachment-post-thumbnail {
float: left;
margin: 0 1rem 1rem 0;
}

/* Default Abstand entfernen */
.entry-header img.wp-post-image {
margin-bottom: 0;
}

/* Achtung: Im Rahmen der Beitragsbild-Ausrichtung von both auf none geändert, ungetestet bzgl. wechselseitiger Auswirkungen. Bei Problemen mit Überschriften-Positionen hier nachsehen. */
h1, h2, h3, h4, h5, h6 {
clear: none;
}

/* [Plugin-Fix] Recent Posts Widget Extended keine Bulletpoints per Default */
.rpwe-li {
list-style-type: none !important;
}

/* Cookie-Richtlinie Bullshit */
#cookieChoiceInfo {
font-size: 0.75em;
background-color: #EEE;
}

#cookieChoiceInfo > a {
color: #62AED2;
}

/* v 1.2
*  Introducing the cta-icons
*/

/* ~~~ WIDGET-AREA im HEADER ~~~ */

/* Rechts positionieren */
#bore {
float: right;
}

/* Widget-Box entfernen bei kleinen Auflösungen */
@media (max-width: 640px) 
{
#bore
{
display: none;
}
}

/* Ariel ist die Tabelle im Header, danke Caspar */
.ariel td:nth-child(2n) {
vertical-align:middle;
padding:0 10px;
}

/* Site-Description bei kleinen Auflösungen entfernen */
@media (max-width: 740px) 
{
.site-description
{
display: none;
}
}

/* v 1.3.3 */

/* Schmale H1-Header */
.site-title {
font-weight:normal;
font-size: 1.85rem;
}

/* Subheadline */
.site-header h2 {
color:#777;
font-size:0.9rem;
}

/* Font-Awesome Icon */
.site-title::before {
font-family: FontAwesome;
padding: 5px;
border-radius: 2px;
font-size:20px;
margin-right:5px;
}

/* v 1.4 
*  Introducing the teaserbild
*/

/* Beim Recent-Posts Thumbnail den Rand entfernen */
.rpwe-thumb {
border: 0px !important;
}

/* Beim Widget der letzten Beiträge den Rand entfernen */
.widget_recent_entries {
border: none;
}

/* Nachfolgend nur Formatierungen für das Teaserbild im Content */
.teaserbild {
width: 100%;
}
.bildteaser {
position: relative;
}
.bildteaser span {
background-color: hsla(0,0%,100%,0.65);
position:absolute;
top:70px;
width:40%;
text-align:right;
padding-right:5px;
right:10px;
}

@media (max-width: 1000px) 
{
.bildteaser span
{
display: none;
}
}

.bildteaser img {
display:block;
}

/* Bilder im Widget-Bereich bekommen keine runden Ecken */
.entry-content img, .comment-content img, .widget img, img.header-image, .author-avatar img, img.wp-post-image {
border-radius: 0;
}

/* Absätze im Content haben zu großen Abstand */
.entry-content p, .entry-summary p, .comment-content p, .mu_register p {
margin: 0 0 1.3rem;
}

/* Ebenso der H1-Header im Content */
.entry-header {
margin-bottom: 1.3rem;
}

/* v 1.5
*  Introducing the new "serious business layout"
*/
.site-header {
padding: 1.2rem 0 1rem;
}

/* v1.6
* Introducing the cookieconsent in functions
*/
.cc_container {
font-size: 14px !important;
padding-bottom: 60px !important;
width:270px !important;
}

.cc_container .cc_btn {
bottom:20px !important;
}

.cc_message {
text-align: justify;
}

/* v1.7
* Introducing the top3 tabelle with fullwidth page template
*/

.fullwidth {
width:100%;
}

.top-3 {
width: 100%;
margin-bottom:20px;
}

th  {
text-transform:uppercase;
background-color:#ececec;
padding:10px;
color:#bdbdbd;
}

th:last-child {
text-align:right;
}

.top-3 td {
height:50px;
vertical-align:middle;
padding-left:10px;
color:#F5F5F5;
border-top:3px solid #ececec;
}

.top-3 tr:nth-child(2) td {
background-color:#003060;
}
.top-3 tr:nth-child(3) td {
background-color:#748CA5;
}
.top-3 tr:nth-child(4) td {
background-color:#ACB9C6;
}

.top-3 tr:nth-child(1n+0) td:nth-child(1) {
border-right:3px solid #ececec;
}

.top-3 tr:nth-child(1n+0) td:nth-child(4) {
text-align:right;
padding-right:10px;
}
.top-3 tr:nth-child(1n+0) td:nth-child(4) a {
background-color: #FF6000;
border-radius: 3px;
color: white;
padding:7px;
text-decoration:none;
}


/* v1.7.2
* cool css-elements
*/

.green-tipp {
background-color: #edf8dd;
padding: 15px 12px;
margin-bottom:15px;
}

.green-tipp h4:before {
content: "\f0eb";
font-family: FontAwesome;
margin-right:5px;
}

.green-tipp h4 {
font-size: 1.4rem;
color: #1a6600;
font-weight: 400;
}

.green-tipp .innerh4 {
font-weight: 300;
}

.green-tipp ul {
margin:0;
}

.green-tipp p {
margin-bottom: 0.5rem;
}

.green-tipp li {
margin: 0 0 0.5rem 1.5rem;
padding: 0 0.7rem;
}

.red-warning {
background-color: #FFDDDC;
padding: 15px 12px;
margin-bottom:15px;
}

.red-warning h4:before {
content: "\f071";
font-family: FontAwesome;
margin-right:5px;
}

.red-warning h4 {
font-size: 1.4rem;
color: #B80000;
font-weight: 400;
}

.red-warning .innerh4 {
font-weight: 300;
}

.red-warning ul {
margin:0;
}

.red-warning p {
margin-bottom: 0.5rem;
}

.red-warning li {
margin: 0 0 0.5rem 1.5rem;
padding: 0 0.7rem;
}

/* v1.7.3
* der bauer mag speck
#pages-2 > .widget-title {
background-color:#ff6000;
color:white;
}
*/

/* v1.8
* sidebar bugfixes
*/
.textwidget {
padding: 5px 10px;
text-align:justify;
}

/* v1.9
* font-awesome arrow in sidebar
*/
.widget-area ul li:before {
content: "\f0da";
font-family: FontAwesome;
margin-right:5px;
}